com.threerings.whirled.data

## Class SceneMarshaller.SceneMoveMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
  - - com.threerings.whirled.data.SceneMarshaller.SceneMoveMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.client.InvocationService.InvocationListener, SceneService.SceneMoveListener

Enclosing class:
  SceneMarshaller

    public static class SceneMarshaller.SceneMoveMarshaller
    extends com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
    implements SceneService.SceneMoveListener

Marshalls results to implementations of `SceneService.SceneMoveListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `MOVE_REQUIRES_SERVER_SWITCH` The method id used to dispatch `moveRequiresServerSwitch(java.lang.String, int[])` responses.
`static int` `MOVE_SUCCEEDED` The method id used to dispatch `moveSucceeded(int, com.threerings.crowd.data.PlaceConfig)` responses.
`static int` `MOVE_SUCCEEDED_WITH_SCENE` The method id used to dispatch `moveSucceededWithScene(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.data.SceneModel)` responses.
`static int` `MOVE_SUCCEEDED_WITH_UPDATES` The method id used to dispatch `moveSucceededWithUpdates(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.data.SceneUpdate[])` responses.

### Fields inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller

`callerOid, listener, mapStamp, omgr, REQUEST_FAILED_RSPID, requestId, transport`

### Constructor Summary

Constructors
Constructor and Description
`SceneMoveMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatchResponse(int methodId, Object[] args)`
`void` `moveRequiresServerSwitch(String arg1, int[] arg2)` Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired scene.
`void` `moveSucceeded(int arg1, com.threerings.crowd.data.PlaceConfig arg2)` Indicates that a move succeeded.
`void` `moveSucceededWithScene(int arg1, com.threerings.crowd.data.PlaceConfig arg2, SceneModel arg3)` Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.
`void` `moveSucceededWithUpdates(int arg1, com.threerings.crowd.data.PlaceConfig arg2, SceneUpdate[] arg3)` Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller

`requestFailed, setInvocationId, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener

`requestFailed`

### Field Detail

#### MOVE_REQUIRES_SERVER_SWITCH

    public static final int MOVE_REQUIRES_SERVER_SWITCH

The method id used to dispatch `moveRequiresServerSwitch(java.lang.String, int[])` responses.

See Also:
  Constant Field Values

#### MOVE_SUCCEEDED

    public static final int MOVE_SUCCEEDED

The method id used to dispatch `moveSucceeded(int, com.threerings.crowd.data.PlaceConfig)` responses.

See Also:
  Constant Field Values

#### MOVE_SUCCEEDED_WITH_SCENE

    public static final int MOVE_SUCCEEDED_WITH_SCENE

The method id used to dispatch `moveSucceededWithScene(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.data.SceneModel)` responses.

See Also:
  Constant Field Values

#### MOVE_SUCCEEDED_WITH_UPDATES

    public static final int MOVE_SUCCEEDED_WITH_UPDATES

The method id used to dispatch `moveSucceededWithUpdates(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.data.SceneUpdate[])` responses.

See Also:
  Constant Field Values

### Constructor Detail

#### SceneMoveMarshaller

    public SceneMoveMarshaller()

### Method Detail

#### moveRequiresServerSwitch

    public void moveRequiresServerSwitch(String arg1,
                                         int[] arg2)

Description copied from interface: `SceneService.SceneMoveListener`
Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired scene.

Specified by:
  `moveRequiresServerSwitch` in interface `SceneService.SceneMoveListener`

#### moveSucceeded

    public void moveSucceeded(int arg1,
                              com.threerings.crowd.data.PlaceConfig arg2)

Description copied from interface: `SceneService.SceneMoveListener`
Indicates that a move succeeded.

Specified by:
  `moveSucceeded` in interface `SceneService.SceneMoveListener`
Parameters:
  `arg1` - the place object id of the newly occupied scene.
  `arg2` - metadata related to the newly occupied scene.

#### moveSucceededWithScene

    public void moveSucceededWithScene(int arg1,
                                       com.threerings.crowd.data.PlaceConfig arg2,
                                       SceneModel arg3)

Description copied from interface: `SceneService.SceneMoveListener`
Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

Specified by:
  `moveSucceededWithScene` in interface `SceneService.SceneMoveListener`
Parameters:
  `arg1` - the place object id of the newly occupied scene.
  `arg2` - metadata related to the newly occupied scene.
  `arg3` - a fresh copy of the most recent scene data for the newly occupied scene.

#### moveSucceededWithUpdates

    public void moveSucceededWithUpdates(int arg1,
                                         com.threerings.crowd.data.PlaceConfig arg2,
                                         SceneUpdate[] arg3)

Description copied from interface: `SceneService.SceneMoveListener`
Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

Specified by:
  `moveSucceededWithUpdates` in interface `SceneService.SceneMoveListener`
Parameters:
  `arg1` - the place object id of the newly occupied scene.
  `arg2` - metadata related to the newly occupied scene.
  `arg3` - updates that must be applied to the client's copy of a scene model to bring it up to date.

#### dispatchResponse

    public void dispatchResponse(int methodId,
                                 Object[] args)

Overrides:
  `dispatchResponse` in class `com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller`